<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2008 Bull S.A.S.
  - Contact: jonas-team@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or (at your option) any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id$
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->

<assembly
  xmlns="http://maven.apache.org/POM/4.0.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
                              http://maven.apache.org/xsd/assembly-1.1.0-SNAPSHOT.xsd">

  <id>tld</id>
  <formats>
    <format>jar</format>
  </formats>

  <!-- No directory name as prefix in all directories -->
  <includeBaseDirectory>false</includeBaseDirectory>

  <!-- - - - - - - - - - - - - - - - - - - - - - - -->
  <!-- Includes TLD from JSF and JSTL              -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - -->
  <dependencySets>
    <dependencySet>
      <outputDirectory>/</outputDirectory>
      <outputFileNameMapping></outputFileNameMapping>
      <useStrictFiltering>true</useStrictFiltering>
      <unpack>true</unpack>
      <unpackOptions>
        <includes>
          <include>**/*.tld</include>
        </includes>
      </unpackOptions>
      <includes>
        <include>org.mortbay.jetty:jsp-api-2.1</include>
        <include>javax.faces:jsf-impl</include>
      </includes>
    </dependencySet>
  </dependencySets>
</assembly>
